/// <reference types="node" />
import type { NodeCryptoCreateHash, Sha2Hash } from './types';
export declare class NodeCryptoSha2Hash {
    createHash: NodeCryptoCreateHash;
    constructor(createHash: NodeCryptoCreateHash);
    digest(data: Buffer, algorithm?: string): Promise<Buffer>;
}
export declare class WebCryptoSha2Hash implements Sha2Hash {
    webCrypto: Crypto;
    constructor(webCrypto: Crypto);
    digest(data: Buffer, algorithm?: string): Promise<Buffer>;
}
export declare function createSha2Hash(): Promise<Sha2Hash>;
export declare function hashSha256(data: Buffer): Promise<Buffer>;
export declare function hashSha512(data: Buffer): Promise<Buffer>;
